## granite 0.1.0

=== CMakeLists.txt ===
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required (VERSION 2.6)
cmake_policy(VERSION 2.6)
project(granite)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/ )
set(RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/share/granite/)
set(GETTEXT_PACKAGE GRANITE)
configure_file (${CMAKE_SOURCE_DIR}/lib/config.h.cmake ${CMAKE_BINARY_DIR}/lib/config.h)
set(CPACK_PACKAGE_VERSION "0.1.0")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.bzrignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_subdirectory (lib)
add_subdirectory (po)
add_subdirectory(demo)

=== demo/CMakeLists.txt ===
find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.11.3" MINIMUM)
include(ValaPrecompile)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../lib/)
# pkgconfig, real C code

set(CMAKE_INCLUDE_CURRENT_DIR ON)
# TODO: configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED gtk+-3.0)
set(CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER} )
set(LIB_PATHS ${DEPS_LIBRARY_DIRS})
link_directories(${LIB_PATHS} ${CMAKE_CURRENT_BINARY_DIR}/../lib/)
add_definitions(${CFLAGS})
vala_precompile(VALA_C
    main.vala
CUSTOM_VAPIS
    ${CMAKE_CURRENT_BINARY_DIR}/../lib/granite.vapi
PACKAGES
    gtk+-3.0
OPTIONS
    --thread
)
add_executable(granite-demo ${VALA_C})
target_link_libraries(granite-demo granite ${DEPS_LIBRARIES})

install (TARGETS granite-demo RUNTIME DESTINATION bin)

=== lib/CMakeLists.txt ===
set (PKGNAME granite)
set (PKGNAME_ GRANITE)
set (${PKGNAME_}_VERSION 0.1.4)
# increase when you break the API

set (${PKGNAME_}_SOVERSION 0)
# Increase when you add functionality

#

# granite.pc

#

set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$")
# You hear that? It's kittens being killed by the gods of cmake

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PKGNAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PKGNAME}.pc)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKGNAME}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig/)
# Check for the deps

find_package(PkgConfig)
find_package(GObjectIntrospection 0.9.12)
include(GObjectIntrospectionMacros)
set(PKG_DEPS gtk+-3.0 gio-unix-2.0)
pkg_check_modules(DEPS REQUIRED gtk+-3.0 gio-unix-2.0 gthread-2.0 gee-1.0)
# Link all

set(CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER})
add_definitions(${CFLAGS} "-DGETTEXT_PACKAGE=\"GRANITE\"")
set(LIBS
    ${DEPS_LIBRARIES}
)
set(LIB_PATHS
    ${DEPS_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})
#VALA stuff

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/Widgets/)
find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.13.0" MINIMUM)
include(ValaPrecompile)
vala_precompile(VALA_C
    Application.vala
    Drawing/Color.vala
    Drawing/BufferSurface.vala
    Drawing/Utilities.vala
    GtkPatch/AboutDialog.vala
    Services/Settings.vala
    Services/Logger.vala
    Services/Paths.vala
    Services/System.vala
    Services/Contractor.vala
    Widgets/WrapLabel.vala
    Widgets/AboutDialog.vala
    Widgets/ModeButton.vala
    Widgets/DatePicker.vala
    Widgets/Entries.vala
    Widgets/TimePicker.vala
    Widgets/CollapsiblePaned.vala
    Widgets/StaticNotebook.vala
    Widgets/CompositedWindow.vala
    Widgets/AppMenu.vala
    Widgets/Welcome.vala
    Widgets/ToolButtonWithMenu.vala
    Widgets/PopOver.vala
    Widgets/ContractorView.vala
    Main.vala
    config.vapi
CUSTOM_VAPIS
    ${CMAKE_CURRENT_SOURCE_DIR}/GtkPatch/gtkpatch-utils.vapi
PACKAGES
    ${PKG_DEPS}
    posix
    gee-1.0
OPTIONS
    --thread
GENERATE_VAPI
    granite
GENERATE_HEADER
    granite
)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/granite.vapi DESTINATION ${CMAKE_INSTALL_PREFIX}/share/vala/vapi/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/granite.deps DESTINATION ${CMAKE_INSTALL_PREFIX}/share/vala/vapi/)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/granite.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/granite/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/Widgets/widgets-utils.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/granite/)
add_library (${PKGNAME} SHARED
    GtkPatch/gtkpatch-utils.c
    Widgets/widgets-utils.c
    ${VALA_C}
)
target_link_libraries(${PKGNAME} ${LIBS})
if(BUILD_STATIC MATCHES "Yes")
ADD_LIBRARY(${PKGNAME}-static STATIC ${VALA_C})
target_link_libraries(${PKGNAME}-static ${LIBS})
# The library target "foo" already has a default OUTPUT_NAME of "foo", so we don't need to change it.

# The library target "foo-static" has a default OUTPUT_NAME of "foo-static", so change it.

SET_TARGET_PROPERTIES(${PKGNAME}-static PROPERTIES OUTPUT_NAME ${PKGNAME})
install (TARGETS ${PKGNAME}-static DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)
endif(BUILD_STATIC MATCHES "Yes")
set_target_properties (${PKGNAME} PROPERTIES
    VERSION ${GRANITE_VERSION}
    SOVERSION ${GRANITE_SOVERSION}
                       )
install (TARGETS ${PKGNAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)

macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

# GObject Introspection
include(GObjectIntrospectionMacros)
add_target_gir(granite Granite granite.h "${DEPS_CFLAGS}" 0.1 Gtk-3.0)

add_custom_target(docs)
add_custom_command (TARGET docs COMMAND rm ${CMAKE_CURRENT_BINARY_DIR}/docs -R -f)
add_custom_command (TARGET docs COMMAND valadoc -o docs --doclet-arg=${CMAKE_CURRENT_BINARY_DIR}/granite.h ${CMAKE_CURRENT_SOURCE_DIR}/*/*.vala ${CMAKE_CURRENT_SOURCE_DIR}/*.vapi ${CMAKE_CURRENT_SOURCE_DIR}/*.vala --pkg=posix --pkg=gtk+-3.0 --pkg=gio-unix-2.0 --package-name=granite --package-version=0.1.1 --doclet=gtkdoc)
add_custom_target (valadocs)
add_custom_command (TARGET valadocs COMMAND rm ${CMAKE_CURRENT_BINARY_DIR}/docs_vala -R -f)
add_custom_command (TARGET valadocs COMMAND rm ${CMAKE_CURRENT_BINARY_DIR}/images -R -f)
add_custom_command (TARGET valadocs COMMAND cp ${CMAKE_SOURCE_DIR}/doc/images/ ${CMAKE_CURRENT_BINARY_DIR}/images -R)
add_custom_command (TARGET valadocs COMMAND VALADOC_HEADER=${CMAKE_CURRENT_SOURCE_DIR}/docs/header.html valadoc -o docs_vala ${CMAKE_CURRENT_SOURCE_DIR}/*/*.vala ${CMAKE_CURRENT_SOURCE_DIR}/*.vapi ${CMAKE_CURRENT_SOURCE_DIR}/*.vala --pkg=glib-2.0 --pkg=gio-2.0 --pkg=posix --pkg=gtk+-3.0 --pkg=gio-unix-2.0 --package-name=Granite --package-version=0.1.1 --driver 0.13.x --force --doclet=elementary)
add_custom_command (TARGET valadocs COMMAND cp ${CMAKE_SOURCE_DIR}/doc/css/ ${CMAKE_CURRENT_BINARY_DIR}/docs_vala/css -R)

=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("granite")
add_translations_catalog("granite" ../lib/ ../lib/Widgets/ ../lib/Services/ ../lib/Drawing/)

=== debian/changelog ===
granite (0.1.0-0ubuntu2) quantal; urgency=low

  * debian/libgranite-dev.install: install .vapi files in /usr/share/vala/vapi
    directory.
  * debian/control: replace valac-0.14 with valac in Build-Depdns field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 25 Jun 2012 23:18:21 +0200

granite (0.1.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #932407).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 11 Feb 2012 22:32:56 +0100

=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, valac, libgtk-3-dev, gobject-introspection, libgirepository1.0-dev, gir1.2-gtk-3.0, gir1.2-glib-2.0, libgee-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/granite

Package: libgranite0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains the shared library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgranite0 (= ${binary:Version})
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains the static library and header files.

Package: granite-demo
Section: misc
Architecture: any
Depends: libgranite0 (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends} 
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgranite0
 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: extension of GTK+ libraries (debugging symbols)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgranite0 (>= 0.1)'

override_dh_strip:
	dh_strip --dbg-package=libgranite0-dbg

=== debian/watch ===
version=3
https://launchpad.net/granite/+download \
  http://launchpad.net/granite.*/granite-(.*)\.tar\.gz

## granite 0.3.0~bzr734

=== CMakeLists.txt ===
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required (VERSION 2.8)
cmake_policy (VERSION 2.8)
project (granite C)

set (PKG_NAME ${CMAKE_PROJECT_NAME})
set (PKG_VERSION 0.3.0)
set (API_VERSION 1.0)

# Used to create GObject introspection files
set (PKG_GIR_NAME Granite)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

set (RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/share/${PKG_NAME}/)
set (GETTEXT_PACKAGE ${PKG_NAME})

set (CPACK_PACKAGE_VERSION ${PKG_VERSION})
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.bzrignore;~$;${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)
add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

find_package (Vala REQUIRED)
include (ValaVersion)
include (ValaPrecompile)

ensure_vala_version ("0.20.1" MINIMUM)

#
# Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
# Packages in PKG_DEPS_CHECK are used with PKG-Config and for linking, etc. They can contain versions.
#
# Both should contain *the same packages*, except for those whose VAPI file has a different name. In
# such case, PKG_DEPS would use the name of the VAPI, and PKG_DEPS_CHECK would use the name of the
# package known by pkg-config.
#
set (PKG_DEPS
    gtk+-3.0
    gio-unix-2.0
    posix
    gee-0.8)

set (PKG_DEPS_CHECK
    gtk+-3.0>=3.3.14
    gio-unix-2.0
    gthread-2.0
    gee-0.8)

# GI dependencies
set (GI_PKG_DEPS Gtk-3.0 Gee-0.8)

# Check for the deps
find_package (PkgConfig)
pkg_check_modules (DEPS REQUIRED ${PKG_DEPS_CHECK})

set (VALAC_OPTIONS
     --thread
     --target-glib=2.32)

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=LINUX)
endif ()

add_subdirectory (lib)
add_subdirectory (demo)
add_subdirectory (doc)
add_subdirectory (po)
add_subdirectory (icons)

=== lib/CMakeLists.txt ===
# increase when you break the API
set (PKG_SOVERSION 2)

# Increase when you add functionality
set (PKG_SOMINOR 0.1)

set (VALA_SOURCES
    style-classes.vala
    Application.vala
    Drawing/Color.vala
    Drawing/BufferSurface.vala
    Drawing/Utilities.vala
    GtkPatch/AboutDialog.vala
    Services/Settings.vala
    Services/Logger.vala
    Services/Paths.vala
    Services/System.vala
    Services/Contractor.vala
    Services/ContractorProxy.vala
    Services/IconFactory.vala
    Services/SimpleCommand.vala
    Widgets/Utils.vala
    Widgets/WrapLabel.vala
    Widgets/AboutDialog.vala
    Widgets/ModeButton.vala
    Widgets/DatePicker.vala
    Widgets/Entries.vala
    Widgets/TimePicker.vala
    Widgets/CollapsiblePaned.vala
    Widgets/StaticNotebook.vala
    Widgets/DynamicNotebook.vala
    Widgets/CompositedWindow.vala
    Widgets/AppMenu.vala
    Widgets/Welcome.vala
    Widgets/ToolButtonWithMenu.vala
    Widgets/PopOver.vala
    Widgets/ContractorView.vala
    Widgets/ContractorMenu.vala
    Widgets/DecoratedWindow.vala
    Widgets/LightWindow.vala
    Widgets/StatusBar.vala
    Widgets/SidebarPaned.vala
    Widgets/SourceList.vala
    Widgets/CellRendererExpander.vala
    Widgets/CellRendererBadge.vala
    Widgets/ThinPaned.vala
    Widgets/OverlayBar.vala
)

set (C_SOURCES
    Widgets/widgets-utils.c
    Widgets/close-button.c
)

######################
# lib PC file
######################
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$") # You hear that? It's kittens being killed by the gods of cmake

configure_file (${CMAKE_SOURCE_DIR}/lib/config.h.cmake ${CMAKE_BINARY_DIR}/lib/config.h) # used from config.vala
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PKG_NAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc)

include (GNUInstallDirs)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)

# Link all
set (CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER})
add_definitions (${CFLAGS} "-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")

set (LIBS ${DEPS_LIBRARIES} -lm)
set (LIB_PATHS ${DEPS_LIBRARY_DIRS})
link_directories (${LIB_PATHS})

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/Widgets)

vala_precompile (VALA_C ${PKG_NAME}
    ${VALA_SOURCES}
PACKAGES
    ${PKG_DEPS}
GENERATE_HEADER
    ${PKG_NAME}
GENERATE_VAPI
    ${PKG_NAME}
CUSTOM_VAPIS
    ${CMAKE_CURRENT_SOURCE_DIR}/config.vapi
OPTIONS
    ${VALAC_OPTIONS}
)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.vapi DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${PKG_NAME}.deps DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PKG_NAME})
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/Widgets/widgets-utils.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PKG_NAME})

set (LIB_FILES ${C_SOURCES} ${VALA_C})

add_library (${PKG_NAME} SHARED ${LIB_FILES})

target_link_libraries (${PKG_NAME} ${LIBS})

set_target_properties (${PKG_NAME} PROPERTIES
    VERSION ${PKG_SOVERSION}.${PKG_SOMINOR}
    SOVERSION ${PKG_SOVERSION})

install (TARGETS ${PKG_NAME} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

###########################
# GObject Introspection
###########################

include (FindGObjectIntrospection)

if (INTROSPECTION_FOUND)
    include (GObjectIntrospectionMacros)
    add_target_gir (${PKG_NAME} ${PKG_GIR_NAME} ${PKG_NAME}.h "${VALA_C}" "${DEPS_CFLAGS}" ${API_VERSION} ${GI_PKG_DEPS})
endif ()

=== debian/changelog ===
granite (0.3.0~bzr734-1) experimental; urgency=low

  * New upstream bzr snapshot (Closes: #722522).
  * New maintainer (Closes: #748123).
  * debian/control:
    - Update package versions in Build-Depends.
    - Update package descriptions.
    - Drop gir1.2-glib-2.0, libgee-dev, dh-exec from Build-Depends.
    - Update Standards Version to 3.9.5:
      + Drop obsolete DM-Upload-Allowed flag.
    - Set myself as maintainer.
    - Rename libgranite0 to libgranite2.
    - Rename libgranite0-dbg to libgranite2-dbg.
    - Rename gir1.2-granite-0.1 to gir1.2-granite-1.0.
    - Add libgranite-common binary package.
    - Remove Multi-Arch field for libgranite-dev.
    - Update Depends and Recommends for libgranite2.
    - Update Depends for libgranite-dev.
  * debian/copyright:
    - Update licensing information.
    - Update copyright years.
    - Add new copyright holders.
  * Update symbols files.
  * Update debian/*.install files.
  * Drop debian/README.source.
  * Fix debian/watch.
  * debian/rules:
    - Build package with --parallel.
    - Use xz for compression.
    - Add --fail-missing to dh_install.
    - Set check level for dpkg-gensymbols to 1.
    - Set dbg-package for dh_strip to libgranite2-dbg.

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Thu, 22 May 2014 20:22:06 +0400

granite (0.1.0+dfsg-2) experimental; urgency=low

  * debian/control: set Multi-Arch field to foreign in gir1.2-granite-0.1
    package section.
  * debian/rules: use gobject-introspection debhelper sequence.
  * debian/control: set gobject-introspection minimum version to 1.31.0-2
    in Build-Depends field.
  * debian/control: add gir1.2-granite-0.1 (= ${binary:Version}) to
    libgranite-dev Depends field.
  * debian/copyright: update Format field.
  * Bump Standards-Version to 3.9.3.1.

  [ Luca Falavigna ]
  * debian/control: add DM-Upload-Allowed field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 02 Sep 2012 17:42:48 +0200

granite (0.1.0+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #659539).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 09 Jun 2012 14:21:24 +0200

=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               gobject-introspection (>= 1.31.0-2),
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libgtk-3-dev (>= 3.3.14),
               valac (>= 0.20.1)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/granite

Package: libgranite2
Architecture: any
Multi-Arch: same
Depends: libgranite-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: multiarch-support
Recommends: apport-hooks-elementary, contractor
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Depends: gir1.2-granite-1.0 (= ${binary:Version}),
         libgee-0.8-dev,
         libglib2.0-dev,
         libgranite2 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.14),
         ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

Package: gir1.2-granite-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends: ${gir:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (introspection files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgranite-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libgranite0 (>> 0.2~)
Conflicts: libgranite0 (>> 0.2~)
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (common files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: granite-demo
Section: misc
Architecture: any
Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}
Description: extension of GTK+ libraries (debugging symbols)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains debugging symbols.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://launchpad.net/granite/+download \
  https://launchpad.net/granite/.*/\+download/granite-(.*)\.ta?r?\.?gz

## granite 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 include (ValaVersion)
 include (ValaPrecompile)
 
-ensure_vala_version ("0.20.1" MINIMUM)
+ensure_vala_version ("0.23.2" MINIMUM)
 
 #
 # Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
@@ -45,7 +45,7 @@
     gee-0.8)
 
 set (PKG_DEPS_CHECK
-    gtk+-3.0>=3.3.14
+    gtk+-3.0>=3.11.6
     gio-unix-2.0
     gthread-2.0
     gee-0.8)

=== demo/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}/../lib)

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER} )
set (LIB_PATHS ${DEPS_LIBRARY_DIRS})

link_directories (${LIB_PATHS} ${CMAKE_CURRENT_BINARY_DIR}/../lib)
add_definitions (${CFLAGS})

set (EXEC_NAME ${PKG_NAME}-demo)

vala_precompile (VALA_C ${EXEC_NAME}
    GraniteDemo.vala
CUSTOM_VAPIS
    ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
PACKAGES
    ${PKG_DEPS}
OPTIONS
    ${VALAC_OPTIONS}
)

add_executable (${EXEC_NAME} ${VALA_C})
target_link_libraries (${EXEC_NAME} ${PKG_NAME} ${DEPS_LIBRARIES})
install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)

=== doc/CMakeLists.txt ===
# Serialize deps packages for valadoc
foreach (pkg ${PKG_DEPS})
    list (APPEND VALADOC_PKG_OPTS "--pkg=${pkg}")
endforeach ()

# Source files to scan
set (SRC_DIR "${CMAKE_SOURCE_DIR}/lib")
set (SRC_FILES ${SRC_DIR}/*.vala ${SRC_DIR}/*/*.vala ${SRC_DIR}/*.vapi)

set (BASE_VALADOC_COMMAND
    valadoc
    ${VALADOC_PKG_OPTS}
    ${SRC_FILES}
    --target-glib=2.32
    --package-name=${PKG_NAME}
    --package-version=${PKG_VERSION})

#########################
# C API Documentation
#########################

add_custom_target (cdocs)
add_dependencies (cdocs ${PKG_NAME}) # we need the lib's C header file, and thus valac must run first

set (C_API_DOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/cdocs)

add_custom_command (TARGET cdocs COMMAND rm ${C_API_DOC_DIR} -R -f) # delete previous files
add_custom_command (TARGET cdocs COMMAND ${BASE_VALADOC_COMMAND} ${VALADOC_PKG_OPTS} -o ${C_API_DOC_DIR}
    --doclet-arg=${CMAKE_BINARY_DIR}/lib/${PKG_NAME}.h --doclet=gtkdoc)

#########################
# Vala API documentation
#########################

add_custom_target (valadocs)
set (VALA_API_DOC_DIR "${CMAKE_CURRENT_BINARY_DIR}/valadocs")

add_custom_command (TARGET valadocs COMMAND rm ${CMAKE_CURRENT_BINARY_DIR}/images -R -f)
add_custom_command (TARGET valadocs COMMAND cp ${CMAKE_SOURCE_DIR}/doc/images/ ${CMAKE_CURRENT_BINARY_DIR}/images -R)

add_custom_command (TARGET valadocs COMMAND rm ${VALA_API_DOC_DIR} -R -f) # delete previous files
add_custom_command (TARGET valadocs COMMAND ${BASE_VALADOC_COMMAND} --doclet=html -o ${VALA_API_DOC_DIR})

#########################
# All the documents
#########################

add_custom_target (docs)
add_dependencies (docs cdocs valadocs)

=== icons/CMakeLists.txt ===
install(FILES 16x16/application-menu.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 16x16/appointment.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 22x22/application-menu.svg DESTINATION share/icons/hicolor/22x22/actions/)
install(FILES 24x24/application-menu.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 24x24/appointment.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 32x32/application-menu.svg DESTINATION share/icons/hicolor/32x32/actions/)
install(FILES 48x48/application-menu.svg DESTINATION share/icons/hicolor/48x48/actions/)
install(FILES scalable/application-menu-symbolic.svg DESTINATION share/icons/hicolor/scalable/actions/)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory ("${GETTEXT_PACKAGE}")
add_translations_catalog ("${GETTEXT_PACKAGE}" ../lib/ ../demo/)

=== debian/changelog ===
granite (0.3.0-2~experimental1ubuntu2) wily; urgency=medium

  * Include upstream patch to fix about dialog crash/implicit pointer
    conversion, causing FTBFS on 64-bit arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 22 Oct 2015 02:03:06 -0400

granite (0.3.0-2~experimental1ubuntu1) wily; urgency=medium

  * Cherrypick fixes from upstream for FTBFS with Vala 0.28.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 22 Oct 2015 01:38:51 -0400

granite (0.3.0-2~experimental1) experimental; urgency=low

  * Fix build on valac 0.25.2 and later by cherrypicking an upstream patch.
  * debian/control:
    - Update Standards Version to 3.9.6, no changes needed.
    - Do not pre-depend on multiarch-support directly.
    - Provide Vcs-Bzr and Vcs-Browser fields.
  * debian/copyright:
    - Fix short names for BSD licenses.
    - Supply the correct path to granite-demo .vala file.
    - Drop copyright info for nonexistent lib/GtkPatch/gtkpatch-utils.c

  [ Iain Lane ]
  * Install typelib files into MA libdir and build-depend on the version of
    gobject-introspection which started supporting this (Closes: #767090).

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Wed, 29 Oct 2014 23:47:21 +0300

granite (0.3.0-1~experimental1) experimental; urgency=low

  * New upstream release.
  * debian/control: update GTK+ dependency, 3.12+ is now required.
  * debian/watch: replace it with a better watch file written by Bart Martens.
  * debian/copyright: update copyright information for debian/watch.

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Mon, 26 May 2014 01:35:04 +0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
-               gobject-introspection (>= 1.31.0-2),
+               gobject-introspection (>= 1.41.4-1~),
                libgee-0.8-dev,
                libgirepository1.0-dev,
-               libgtk-3-dev (>= 3.3.14),
+               libgtk-3-dev (>= 3.12),
                valac (>= 0.20.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Bzr: lp:~pantheon-debian/pantheon-debian/granite
+Vcs-Browser: https://code.launchpad.net/~pantheon-debian/pantheon-debian/granite
 Homepage: https://launchpad.net/granite
 
 Package: libgranite2
@@ -18,7 +21,7 @@
 Depends: libgranite-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: apport-hooks-elementary, contractor
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with gir

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c1

override_dh_strip:
	dh_strip --dbg-package=libgranite2-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://launchpad.net/granite/ \
.*/granite-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## granite 0.4.1+r1068

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 0.3.0)
+set (PKG_VERSION 0.4.1)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files
@@ -45,7 +45,7 @@
     gee-0.8)
 
 set (PKG_DEPS_CHECK
-    gtk+-3.0>=3.11.6
+    gtk+-3.0>=3.14
     gio-unix-2.0
     gthread-2.0
     gee-0.8)
@@ -61,8 +61,16 @@
      --thread
      --target-glib=2.32)
 
-if (CMAKE_SYSTEM_NAME MATCHES "Linux")
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=LINUX)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=DRAGON_FLY)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=FFREE_BSD)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=NET_BSD)
+elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=OPEN_BSD)
 endif ()
 
 add_subdirectory (lib)

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,21 @@
 set (LIB_PATHS ${DEPS_LIBRARY_DIRS})
 
 link_directories (${LIB_PATHS} ${CMAKE_CURRENT_BINARY_DIR}/../lib)
-add_definitions (${CFLAGS})
+add_definitions (${CFLAGS} "-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")
 
 set (EXEC_NAME ${PKG_NAME}-demo)
 
 vala_precompile (VALA_C ${EXEC_NAME}
     GraniteDemo.vala
+    Views/AlertViewView.vala
+    Views/AvatarView.vala
+    Views/DateTimePickerView.vala
+    Views/DynamicNotebookView.vala
+    Views/ModeButtonView.vala
+    Views/OverlayBarView.vala
+    Views/SourceListView.vala
+    Views/StorageView.vala
+    Views/ToastView.vala
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
 PACKAGES
@@ -22,3 +31,4 @@
 add_executable (${EXEC_NAME} ${VALA_C})
 target_link_libraries (${EXEC_NAME} ${PKG_NAME} ${DEPS_LIBRARIES})
 install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)
+install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/granite-demo.desktop DESTINATION share/applications)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # increase when you break the API
-set (PKG_SOVERSION 2)
+set (PKG_SOVERSION 3)
 
 # Increase when you add functionality
 set (PKG_SOMINOR 0.1)
@@ -19,6 +19,8 @@
     Services/ContractorProxy.vala
     Services/IconFactory.vala
     Services/SimpleCommand.vala
+    Widgets/AlertView.vala
+    Widgets/Avatar.vala
     Widgets/Utils.vala
     Widgets/WrapLabel.vala
     Widgets/AboutDialog.vala
@@ -32,6 +34,8 @@
     Widgets/CompositedWindow.vala
     Widgets/AppMenu.vala
     Widgets/Welcome.vala
+    Widgets/WelcomeButton.vala
+    Widgets/Toast.vala
     Widgets/ToolButtonWithMenu.vala
     Widgets/PopOver.vala
     Widgets/ContractorView.vala
@@ -40,6 +44,7 @@
     Widgets/LightWindow.vala
     Widgets/StatusBar.vala
     Widgets/SidebarPaned.vala
+    Widgets/StorageBar.vala
     Widgets/SourceList.vala
     Widgets/CellRendererExpander.vala
     Widgets/CellRendererBadge.vala
@@ -73,6 +78,12 @@
 link_directories (${LIB_PATHS})
 
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/Widgets)
+
+option (VAPI_COMMENTS "Include comments in the generated vapi file" OFF)
+
+if (VAPI_COMMENTS)
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --vapi-comments)
+endif ()
 
 vala_precompile (VALA_C ${PKG_NAME}
     ${VALA_SOURCES}

=== debian/changelog ===
granite (0.4.1+r1068-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Convert to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Sep 2017 17:25:25 -0700

granite (0.4.1+r1068+pkg87~ubuntu0.4.1) xenial; urgency=low

  * Auto build.

 -- Cody Garver <cody@elementaryos.org>  Sun, 07 May 2017 02:53:19 +0000

granite (0.4.1) xenial; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sat, 06 May 2017 21:47:25 -0500

granite (0.4.0.1) experimental; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sat, 06 Aug 2016 18:42:20 -0500

granite (0.4-1) experimental; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sun, 12 Jun 2016 16:18:29 -0500

granite (0.3.1-1) trusty; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Thu, 20 Aug 2015 02:23:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
@@ -9,13 +10,13 @@
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.12),
-               valac (>= 0.20.1)
+               valac (>= 0.23.2)
 Standards-Version: 3.9.6
 Vcs-Bzr: lp:~pantheon-debian/pantheon-debian/granite
 Vcs-Browser: https://code.launchpad.net/~pantheon-debian/pantheon-debian/granite
 Homepage: https://launchpad.net/granite
 
-Package: libgranite2
+Package: libgranite3
 Architecture: any
 Multi-Arch: same
 Depends: libgranite-common (>= ${source:Version}),
@@ -36,7 +37,7 @@
 Depends: gir1.2-granite-1.0 (= ${binary:Version}),
          libgee-0.8-dev,
          libglib2.0-dev,
-         libgranite2 (= ${binary:Version}),
+         libgranite3 (= ${binary:Version}),
          libgtk-3-dev (>= 3.3.14),
          ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
@@ -79,7 +80,7 @@
 Package: granite-demo
 Section: misc
 Architecture: any
-Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgranite3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: extension of GTK+ libraries (demo binary)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -87,12 +88,12 @@
  .
  This package contains a small demo application to show Granite Widgets.
 
-Package: libgranite2-dbg
+Package: libgranite3-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgranite3 (= ${binary:Version}), ${misc:Depends}
 Description: extension of GTK+ libraries (debugging symbols)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps

## granite 0.5%2Bds

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -13,13 +13,21 @@
     GraniteDemo.vala
     Views/AlertViewView.vala
     Views/AvatarView.vala
+    Views/CSSView.vala
     Views/DateTimePickerView.vala
     Views/DynamicNotebookView.vala
+    Views/MessageDialogView.vala
     Views/ModeButtonView.vala
     Views/OverlayBarView.vala
+    Views/SeekBarView.vala
     Views/SourceListView.vala
     Views/StorageView.vala
     Views/ToastView.vala
+    Views/WelcomeView.vala
+    Views/AsyncImageView.vala
+    Views/SettingsView/SettingsView.vala
+    Views/SettingsView/SettingsPage.vala
+    Views/SettingsView/SimpleSettingsPage.vala
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
 PACKAGES

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,60 +1,58 @@
 # increase when you break the API
-set (PKG_SOVERSION 3)
+set (PKG_SOVERSION 4)
 
 # Increase when you add functionality
-set (PKG_SOMINOR 0.1)
+set (PKG_SOMINOR 0)
 
 set (VALA_SOURCES
-    style-classes.vala
+    StyleClass.vala
     Application.vala
+    DateTime.vala
     Drawing/Color.vala
     Drawing/BufferSurface.vala
     Drawing/Utilities.vala
+
     GtkPatch/AboutDialog.vala
+
     Services/Settings.vala
     Services/Logger.vala
     Services/Paths.vala
     Services/System.vala
-    Services/Contractor.vala
     Services/ContractorProxy.vala
     Services/IconFactory.vala
     Services/SimpleCommand.vala
+
+    Widgets/AbstractSettingsPage.vala
+    Widgets/AbstractSimpleSettingsPage.vala
     Widgets/AlertView.vala
     Widgets/Avatar.vala
     Widgets/Utils.vala
-    Widgets/WrapLabel.vala
     Widgets/AboutDialog.vala
     Widgets/ModeButton.vala
     Widgets/DatePicker.vala
-    Widgets/Entries.vala
     Widgets/TimePicker.vala
     Widgets/CollapsiblePaned.vala
-    Widgets/StaticNotebook.vala
     Widgets/DynamicNotebook.vala
     Widgets/CompositedWindow.vala
     Widgets/AppMenu.vala
     Widgets/Welcome.vala
     Widgets/WelcomeButton.vala
     Widgets/Toast.vala
-    Widgets/ToolButtonWithMenu.vala
-    Widgets/PopOver.vala
-    Widgets/ContractorView.vala
-    Widgets/ContractorMenu.vala
-    Widgets/DecoratedWindow.vala
-    Widgets/LightWindow.vala
-    Widgets/StatusBar.vala
-    Widgets/SidebarPaned.vala
+    Widgets/SeekBar.vala
     Widgets/StorageBar.vala
     Widgets/SourceList.vala
     Widgets/CellRendererExpander.vala
     Widgets/CellRendererBadge.vala
-    Widgets/ThinPaned.vala
     Widgets/OverlayBar.vala
+    Widgets/HeaderLabel.vala
+    Widgets/SettingsSidebar.vala
+    Widgets/SettingsSidebarRow.vala
+    Widgets/MessageDialog.vala
+    Widgets/AsyncImage.vala
 )
 
 set (C_SOURCES
     Widgets/widgets-utils.c
-    Widgets/close-button.c
 )
 
 ######################

=== debian/changelog ===
granite (0.5+ds-1) experimental; urgency=medium

  * New upstream release.
  * Reintroduce package (Closes: #872919).
  * Bump Standards-Version to 4.1.3.
  * Move Vcs to Salsa platform.
  * Bump debhelper compat to v11.
  * Update debian/copyright.
  * Remove cmake/ParseArguments.cmake.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 23 Jan 2018 17:42:51 +0800

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with gir

## granite 0.5+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 0.4.1)
+set (PKG_VERSION 0.5)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,15 @@
 
 # Source files to scan
 set (SRC_DIR "${CMAKE_SOURCE_DIR}/lib")
-set (SRC_FILES ${SRC_DIR}/*.vala ${SRC_DIR}/*/*.vala ${SRC_DIR}/*.vapi)
+file (GLOB SRC_FILES ${SRC_DIR}/*.vala ${SRC_DIR}/*/*.vala)
 
 set (BASE_VALADOC_COMMAND
     valadoc
     ${VALADOC_PKG_OPTS}
     ${SRC_FILES}
+    --vapidir=${SRC_DIR}
+    --pkg config
+    --verbose
     --target-glib=2.32
     --package-name=${PKG_NAME}
     --package-version=${PKG_VERSION})

=== icons/CMakeLists.txt ===
install(FILES 16x16/open-menu.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 16x16/appointment.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 22x22/open-menu.svg DESTINATION share/icons/hicolor/22x22/actions/)
install(FILES 24x24/open-menu.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 24x24/appointment.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 32x32/open-menu.svg DESTINATION share/icons/hicolor/32x32/actions/)
install(FILES 48x48/open-menu.svg DESTINATION share/icons/hicolor/48x48/actions/)
install(FILES scalable/open-menu-symbolic.svg DESTINATION share/icons/hicolor/scalable/actions/)

=== debian/changelog ===
granite (0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh-missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:46:08 +0800

granite (0.5+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 31 Mar 2018 18:27:53 +0800

=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 gobject-introspection,
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libgtk-3-dev,
 valac,
Standards-Version: 4.1.4
Homepage: https://github.com/elementary/granite
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

Package: gir1.2-granite-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: extension of GTK+ libraries (introspection files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: granite-demo
Section: misc
Architecture: any
Depends:
 libgranite4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: extension of GTK+ libraries (common files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-granite-1.0 (= ${binary:Version}),
 libgee-0.8-dev,
 libglib2.0-dev,
 libgranite4 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.14),
 ${misc:Depends},
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

Package: libgranite4
Architecture: any
Multi-Arch: same
Depends:
 libgranite-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.

## granite 5.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,30 +5,22 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 0.5)
+set (PKG_VERSION 5.0)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files
-set (PKG_GIR_NAME Granite)
+set (PKG_GIR_NAME Granite-${API_VERSION})
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)
 
 set (RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/share/${PKG_NAME}/)
 set (GETTEXT_PACKAGE ${PKG_NAME})
 
-set (CPACK_PACKAGE_VERSION ${PKG_VERSION})
-set (CPACK_SOURCE_GENERATOR "TGZ")
-set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
-set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.bzrignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
-
-include (CPack)
-add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
-
 find_package (Vala REQUIRED)
 include (ValaVersion)
 include (ValaPrecompile)
 
-ensure_vala_version ("0.23.2" MINIMUM)
+ensure_vala_version ("0.40" MINIMUM)
 
 #
 # Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
@@ -45,7 +37,7 @@
     gee-0.8)
 
 set (PKG_DEPS_CHECK
-    gtk+-3.0>=3.14
+    gtk+-3.0>=3.22
     gio-unix-2.0
     gthread-2.0
     gee-0.8)
@@ -58,8 +50,9 @@
 pkg_check_modules (DEPS REQUIRED ${PKG_DEPS_CHECK})
 
 set (VALAC_OPTIONS
-     --thread
-     --target-glib=2.32)
+     --abi-stability
+     --hide-internal
+     --target-glib=2.50)
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=LINUX)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # increase when you break the API
-set (PKG_SOVERSION 4)
+set (PKG_SOVERSION 5)
 
 # Increase when you add functionality
 set (PKG_SOMINOR 0)
@@ -89,6 +89,8 @@
     ${PKG_DEPS}
 GENERATE_HEADER
     ${PKG_NAME}
+GENERATE_GIR
+    ${PKG_GIR_NAME}
 GENERATE_VAPI
     ${PKG_NAME}
 CUSTOM_VAPIS
@@ -122,5 +124,7 @@
 
 if (INTROSPECTION_FOUND)
     include (GObjectIntrospectionMacros)
-    add_target_gir (${PKG_NAME} ${PKG_GIR_NAME} ${PKG_NAME}.h "${VALA_C}" "${DEPS_CFLAGS}" ${API_VERSION} ${GI_PKG_DEPS})
+    add_custom_command(TARGET ${PKG_NAME} COMMAND ${INTROSPECTION_COMPILER} ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir -o ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir DESTINATION ${INTROSPECTION_GIRDIR})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib DESTINATION ${INTROSPECTION_TYPELIBDIR})
 endif ()

## granite 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 5.0)
+set (PKG_VERSION 5.1.0)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,8 @@
 )
 
 add_executable (${EXEC_NAME} ${VALA_C})
+# The demo app is of course using deprecated widgets
+set_target_properties(${EXEC_NAME} PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
 target_link_libraries (${EXEC_NAME} ${PKG_NAME} ${DEPS_LIBRARIES})
 install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)
 install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/granite-demo.desktop DESTINATION share/applications)

=== debian/changelog ===
granite (5.1.0-2) unstable; urgency=medium

  * Add patch to set the shared-library attribute in generated typelib.
    (Closes: #911911)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 27 Oct 2018 15:45:01 +0800

granite (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0-1.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploader email address.
  * Update library symbols accordingly.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Sep 2018 09:38:50 -0400

granite (5.0+ds-2) unstable; urgency=medium

  * Release to unstable.
  * Revert maintainer address to pkg-deepin-devel mailing list.
  * Bump Standards-Version to 4.1.5.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Jul 2018 11:04:13 +0800

granite (5.0+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 20 Jun 2018 23:14:19 +0800
